[Issue 4565] New - Unable to install the rake plugin

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

[Issue 4565] New - Unable to install the rake plugin

dazoakley
https://hudson.dev.java.net/issues/show_bug.cgi?id=4565
                 Issue #|4565
                 Summary|Unable to install the rake plugin
               Component|hudson
                 Version|current
                Platform|Other
              OS/Version|Linux
                     URL|
                  Status|NEW
       Status whiteboard|
                Keywords|
              Resolution|
              Issue type|TASK
                Priority|P3
            Subcomponent|rake
             Assigned to|david_calavera
             Reported by|dazoakley






------- Additional comments from [hidden email] Mon Sep 28 20:19:07 +0000 2009 -------
Hi,

Sorry to disturb, and also sorry for using the bug tracker for ask for support -
I wasn't too sure where else to ask...

I'm having troubles installing the rake plugin for Hudson - I had it working
before, but following either a recent update in Hudson or the plugin, i've lost
the rake plugin.

I'm running Hudson on a Debian linux server, with Sun Java 1.5.0_17.

Looking through the logs, I get the following error messages on startup:

Sep 28, 2009 8:48:39 PM hudson.PluginManager <init>
SEVERE: Failed to load a plug-in rake
hudson.util.IOException2: Failed to initialize
        at hudson.ClassicPluginStrategy.load(ClassicPluginStrategy.java:277)
        at hudson.PluginManager.<init>(PluginManager.java:156)
        at hudson.model.Hudson.<init>(Hudson.java:551)
        at hudson.WebAppMain$2.run(WebAppMain.java:191)
Caused by: java.lang.ExceptionInInitializerError
        at hudson.plugins.rake.PluginImpl.start(PluginImpl.java:14)
        at hudson.ClassicPluginStrategy.startPlugin(ClassicPluginStrategy.java:285)
        at hudson.ClassicPluginStrategy.load(ClassicPluginStrategy.java:274)
        ... 3 more
Caused by: java.lang.NullPointerException
        at hudson.plugins.rake.Util.getGemsDir(Util.java:64)
        at hudson.plugins.rake.Util.getRubyInstallations(Util.java:110)
        at hudson.plugins.rake.Util.getCanonicalRubies(Util.java:130)
        at hudson.plugins.rake.Rake$RakeDescriptor.load(Rake.java:150)
        at hudson.plugins.rake.Rake$RakeDescriptor.<init>(Rake.java:144)
        at hudson.plugins.rake.Rake$RakeDescriptor.<init>(Rake.java:137)
        at hudson.plugins.rake.Rake.<clinit>(Rake.java:37)
        ... 6 more

Any ideas what could be wrong and what I can do to resolve this?

Thanks in advance for any help,

Darren

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

[Issue 4565] Unable to install the rake plugin

david_calavera
https://hudson.dev.java.net/issues/show_bug.cgi?id=4565



User david_calavera changed the following:

                What    |Old value                 |New value
================================================================================
                  Status|NEW                       |RESOLVED
--------------------------------------------------------------------------------
              Resolution|                          |FIXED
--------------------------------------------------------------------------------




------- Additional comments from [hidden email] Tue Sep 29 08:52:19 +0000 2009 -------
The bug is solved, I'm doing a release this evening with the patch

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

[Issue 4565] Unable to install the rake plugin

dazoakley
In reply to this post by dazoakley
https://hudson.dev.java.net/issues/show_bug.cgi?id=4565



User dazoakley changed the following:

                What    |Old value                 |New value
================================================================================
                  Status|RESOLVED                  |REOPENED
--------------------------------------------------------------------------------
              Resolution|FIXED                     |
--------------------------------------------------------------------------------




------- Additional comments from [hidden email] Fri Oct 30 14:30:12 +0000 2009 -------
Hi,

Sorry to disturb again, but i'm still having troubles installing this plugin on our server...

Even with the updated version (1.6.1) I get the same error message:

SEVERE: Failed to load a plug-in rake
hudson.util.IOException2: Failed to initialize
        at hudson.ClassicPluginStrategy.load(ClassicPluginStrategy.java:277)
        at hudson.PluginManager.<init>(PluginManager.java:159)
        at hudson.model.Hudson.<init>(Hudson.java:554)
        at hudson.WebAppMain$2.run(WebAppMain.java:191)
Caused by: java.lang.ExceptionInInitializerError
        at hudson.plugins.rake.PluginImpl.start(PluginImpl.java:14)
        at hudson.ClassicPluginStrategy.startPlugin(ClassicPluginStrategy.java:285)
        at hudson.ClassicPluginStrategy.load(ClassicPluginStrategy.java:274)
        ... 3 more
Caused by: java.lang.NullPointerException
        at hudson.plugins.rake.Util.isRakeInstalled(Util.java:74)
        at hudson.plugins.rake.Util.getRubyInstallations(Util.java:112)
        at hudson.plugins.rake.Util.getCanonicalRubies(Util.java:130)
        at hudson.plugins.rake.Rake$RakeDescriptor.load(Rake.java:150)
        at hudson.plugins.rake.Rake$RakeDescriptor.<init>(Rake.java:144)
        at hudson.plugins.rake.Rake$RakeDescriptor.<init>(Rake.java:137)
        at hudson.plugins.rake.Rake.<clinit>(Rake.java:37)
        ... 6 more

This was with both Java 1.5 and 1.6 on Debian Linux.

hpgen-1-14[team87]43: java -version
java version "1.6.0_14"
Java(TM) SE Runtime Environment (build 1.6.0_14-b08)
Java HotSpot(TM) 64-Bit Server VM (build 14.0-b16, mixed mode)

Sorry to be a pain, but it would be really great to be able to use this plugin.

Thanks again,

Darren


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

[Issue 4565] Unable to install the rake plugin

david_calavera
In reply to this post by dazoakley
https://hudson.dev.java.net/issues/show_bug.cgi?id=4565



User david_calavera changed the following:

                What    |Old value                 |New value
================================================================================
                  Status|REOPENED                  |RESOLVED
--------------------------------------------------------------------------------
              Resolution|                          |FIXED
--------------------------------------------------------------------------------




------- Additional comments from [hidden email] Fri Oct 30 17:18:22 +0000 2009 -------
I've release a new version, 1.6.2. Hope this time will work for you, please if it fails again tell me how is
your ruby environment.

Thank you.

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]